package com.microsoft.schemas.office.project.server.webservices.CustomFields;

public class CustomFieldsSoapProxy implements com.microsoft.schemas.office.project.server.webservices.CustomFields.CustomFieldsSoap {
  private String _endpoint = null;
  private com.microsoft.schemas.office.project.server.webservices.CustomFields.CustomFieldsSoap customFieldsSoap = null;
  
  public CustomFieldsSoapProxy() {
    _initCustomFieldsSoapProxy();
  }
  
  public CustomFieldsSoapProxy(String endpoint) {
    _endpoint = endpoint;
    _initCustomFieldsSoapProxy();
  }
  
  private void _initCustomFieldsSoapProxy() {
    try {
      customFieldsSoap = (new com.microsoft.schemas.office.project.server.webservices.CustomFields.CustomFieldsLocator()).getCustomFieldsSoap();
      if (customFieldsSoap != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)customFieldsSoap)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)customFieldsSoap)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (customFieldsSoap != null)
      ((javax.xml.rpc.Stub)customFieldsSoap)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.microsoft.schemas.office.project.server.webservices.CustomFields.CustomFieldsSoap getCustomFieldsSoap() {
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    return customFieldsSoap;
  }
  
  public void checkOutCustomFields(java.lang.String[] array) throws java.rmi.RemoteException{
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    customFieldsSoap.checkOutCustomFields(array);
  }
  
  public void checkInCustomFields(java.lang.String[] array, boolean force) throws java.rmi.RemoteException{
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    customFieldsSoap.checkInCustomFields(array, force);
  }
  
  public com.microsoft.schemas.office.project.server.webservices.CustomFields.ReadCustomFieldsResponseReadCustomFieldsResult readCustomFields(java.lang.String xmlFilter, boolean autoCheckOut) throws java.rmi.RemoteException{
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    return customFieldsSoap.readCustomFields(xmlFilter, autoCheckOut);
  }
  
  public com.microsoft.schemas.office.project.server.webservices.CustomFields.ReadCustomFieldsByMdPropUidsResponseReadCustomFieldsByMdPropUidsResult readCustomFieldsByMdPropUids(java.lang.String[] md_prop_uids, boolean autoCheckOut) throws java.rmi.RemoteException{
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    return customFieldsSoap.readCustomFieldsByMdPropUids(md_prop_uids, autoCheckOut);
  }
  
  public com.microsoft.schemas.office.project.server.webservices.CustomFields.ReadCustomFieldsByEntityResponseReadCustomFieldsByEntityResult readCustomFieldsByEntity(java.lang.String entityUid) throws java.rmi.RemoteException{
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    return customFieldsSoap.readCustomFieldsByEntity(entityUid);
  }
  
  public void createCustomFields(com.microsoft.schemas.office.project.server.webservices.CustomFields.CreateCustomFieldsCfds cfds, boolean validateOnly, boolean autoCheckIn) throws java.rmi.RemoteException{
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    customFieldsSoap.createCustomFields(cfds, validateOnly, autoCheckIn);
  }
  
  public void updateCustomFields(com.microsoft.schemas.office.project.server.webservices.CustomFields.UpdateCustomFieldsCfds cfds, boolean validateOnly, boolean autoCheckIn) throws java.rmi.RemoteException{
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    customFieldsSoap.updateCustomFields(cfds, validateOnly, autoCheckIn);
  }
  
  public void deleteCustomFields(java.lang.String[] customFieldIDs) throws java.rmi.RemoteException{
    if (customFieldsSoap == null)
      _initCustomFieldsSoapProxy();
    customFieldsSoap.deleteCustomFields(customFieldIDs);
  }
  
  
}